Accordion `组件`
===
折叠，当点击手风琴元素时展开元素折叠内容,折叠其他元素。

参数

|名称|类型|默认值|备注|
|---|---|---|---|
|header|String|无|折叠显示的信息|

内容分发

|名称|描述|示例|
|---|---|---|
|header|自定义头部，可根据需求插入任何HTML代码|`<accordion :open="false">  <h2 slot="header">....</h2></accordion>`|
|body|组件中插入的未定义slot的代码都作为body内容|`<accordion :open="false">  <h2 slot="header">....</h2><div>...</div></accordion>`|

依赖
AccordionGroup `组件`

参数

|名称|类型|默认值|备注|
|---|---|---|---|
|open|Number|1|默认展开第一项|

示例([Accordion](https://coding.net/u/liuJD/p/vue-wheel/git/tree/master/src/example/Accordion.vue))

~~~html
<accordion-group :open="2">
  <accordion :open="true" v-for="item in items" :header="item.header">
    <p>{{item.body}}</p>
  </accordion>
</accordion-group>
~~~

Dialog
===
Toast  `实例方法`
---
消息框，当用户点击时创建和显示信息

参数

|名称|类型|默认值|备注|
|---|---|---|---|
|options|Object|null|配置参数,可选|
|message|String|空|提示消息,使用该参数则其他参数使用默认值|
|time|Number|2|显示时间，单位秒，结束后自动消失|

options

|名称|类型|默认值|备注|
|---|---|---|---|
|position|String|right|显示方向。`center`会显示在浏览器顶部，`right`显示在右侧,`bottom`显示在底部|
|width|Number|300|单位像素，居中显示|
|data|String|空|提示消息|

~~~javascript
this.toast('你输错了', 2)
  //或
this.toast({
  data: '你输错了',
  align: 'center',
  width: 600
}, 2)
~~~


Tooltip `指令`
---
消息提示框，当用户鼠标悬停时，显示提示信息

参数

|名称|类型|默认值|备注|
|---|---|---|---|
|position|String|top|显示位置。`top`显示在元素之上，可选值`left`,`right`,`top`,`bottom`,`auto`|
|data|String|空|提示内容|

示例

~~~html
<button v-tool-tip tip-data="我是向下的提示" position="bottom">向下</button>
~~~

alert `组件`
---
重要消息提示框，创建一个对话框，用户点击屏幕隐藏对话框

参数

|名称|类型|默认值|备注|
|---|---|---|---|
|show|Boolean|false|控制参数，`true`表示显示，`false`表示隐藏|

分发内容

|名称|备注|示例|
|---|---|---|
|data|提示内容|`<alert :show="true">你又弄错了</alert>`|

confirm `组件`
---
重要消息确认框，创建一个确认框

参数

|名称|类型|默认值|备注|
|---|---|---|---|
|show|Boolean|false|控制参数，`true`表示显示，`false`表示隐藏|
|cancelText|String|取消|取消按钮显示数据，可选|
|okText|String|确认|确认按钮显示数据，可选|
|header|String|空|标题|

事件

|名称|备注|示例|
|---|---|---|
|cancel|用户点击取消|`<confirm @cancel="cancel" :show="true">确定吗</confirm>`|
|ok|用户点击确认|`<confirm @ok="ok" :show="true">确定吗</confirm>`|


分发内容

|名称|备注|示例|
|---|---|---|
|header|自定义标题|`<confirm :show="true"><h2 slot="header">确认</h2>确定吗</confirm>`|
|data|提示内容|`<confirm header="确认" :show="true">确定吗</confirm>`|
|footer|自定义按钮|`<confirm header="确认" :show="true">确定吗<footer slot="footer"><button @click="ok">确认</button><button @click="cancel">取消</button></footer></confirm>`|

示例

~~~html
<confirm :show="true">
  <h2 slot="header">确认</h2>
  <div>确定吗</div>
  <footer slot="footer">
    <button @click="ok">确认</button>
    <button @click="cancel">取消</button>
  </footer>
</confirm>
或者
<confirm @click="ok" @click="cancel" header="确认" :show="true">
  <div>确定吗</div>
</confirm>
~~~

DatePicker
===
时间选择，用于时间选择

modal
===
模态框，基于bootstrap模态框

pager
===
分页

Loading
===
等待提示

tab
===
标签页

ImageViewer
---
图片查看器

PinyinTransition
---
拼音转换工具
