import Toast from './src/components/Toast'
import ToolTip from './src/components/ToolTip'
let Vue
/**
 * Toast
 */
const toast = (options, lay) => {
  if (!options) {
    return
  }
  let el = window.document.getElementById('toast-container')
  if (el === null) {
    el = window.document.createElement('div')
    el.id = 'toast-container'
  }
  let VToast = Vue.extend(Toast)
  let msg
  if (typeof options === 'string') {
    msg = options
  } else {
    msg = options.msg
  }
  let toast = new VToast({
    el: el,
    data: {
      show: true,
      msg: msg,
      width: options.width,
      position: options.position || 'center'
    }
  })
  window.setTimeout(() => {
    toast.show = false
  }, (lay || 2) * 1000)
  Vue.nextTick(() => {
    toast.$appendTo(document.body)
  })
}
/**
 * ToolTip
 */
const toolTip = {
  params: ['tipData', 'position'],
  update: function () {
    this.el.onmouseover = () => {
      let Tip = Vue.extend(ToolTip)
      let el = window.document.getElementById('tooltip-container')
      if (el === null) {
        el = window.document.createElement('div')
        el.id = 'tooltip-container'
      }
      el.classList = []
      el.style = {}
      this.toolTip = new Tip({
        el: el,
        data: {
          data: this.params.tipData || '',
          show: true,
          parEl: this.el,
          position: this.params.position || 'auto',
          distance: {}
        }
      })
      Vue.nextTick(() => {
        this.toolTip.$appendTo(document.body)
      })
    }
    this.el.onmouseleave = () => {
      this.toolTip.show = false
    }
  }
}
/**
 * export
 */
let VC = {}
VC.install = (externalVue) => {
  Vue = externalVue
  Vue.prototype.$toast = toast
  Vue.directive('toolTip', toolTip)
}
export default VC
